package com.heyu.api.data.dao.api;
/**
* <p>
* 结果表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-12
*/
import com.heyu.api.data.entity.api.ApiPostCodeEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.mybatis.plugin.annotations.LIMIT;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface ApiPostCodeDao extends BaseMapper<ApiPostCodeEntity> {


	ApiPostCodeEntity selectApiPostCodeById(@Param("id")Long id);


	Long insertApiPostCode(ApiPostCodeEntity apiPostCode);


	Long insertOrUpdateApiPostCode(ApiPostCodeEntity apiPostCode);


	int updateApiPostCodeById(ApiPostCodeEntity apiPostCode);


	int updateCoverApiPostCodeById(ApiPostCodeEntity apiPostCode);


	int deleteApiPostCodeById(@Param("id")Long id);

	@LIMIT
    ApiPostCodeEntity selectApiPostCodeByMd5(String md5Unique);
}